/* stylelint-disable indentation */
/* stylelint-disable */

.browse {
    margin-top: -110px;

    .theme--dark.v-sheet {
        background-color: transparent !important;
    }

    .v-stepper__header {
        box-shadow: none;
    }

    .dragge {
        display: contents;
    }

    .drag-height {
        height: 4100px;
    }

    .drag-height-row {
        position: sticky;
        top: 0;
    }

    a {
        color: inherit;
        text-decoration: none;
    }

    h2 {
        font-family: $font-syne-bold;
    }

    .hide {
        display: none;
    }

    @media (max-width: 420px) {
        h3 {
            font-size: 14px;
        }
    }

    .pagination {
        margin-left: -10px;
    }

    .filter-icon {
        padding-top: 8px;
    }
}

.product-container {
    position: relative;

    .drag-img {
        opacity: 0;
        position: absolute;
        height: 60px;
        width: 60px;
        display: flex;
        left: 40%;
        top: 50%;
        transition: 0.5s ease;
        backface-visibility: hidden;
    }

    .image {
        opacity: 1;
        display: block;
        width: 100%;
        height: auto;
        transition: 0.5s ease;
        backface-visibility: hidden;
    }

    .hover-bg {
        transition: 0.5s ease;
        opacity: 0;
        background-color: $red;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
    }

    .middle {
        transition: 0.5s ease;
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        text-align: center;
        z-index: 2;
    }

    .text {
        background-color: $light-grey;
        font-family: $font-syne-bold;
        font-size: 14px;
        padding: 10px 30px;
        color: $dark-black;
    }

    .product-wish {
        position: absolute;
        padding-top: 10px;
        padding-right: 10px;
        z-index: 2;
    }

    .product-rented {
        color: black;
        position: absolute;
        padding-top: 10px;
        padding-right: 10px;
        z-index: 2;
        right: 10px;
    }

    .rented-container {
        background-color: red;
        color: white;
        margin: auto;
        width: 80px;
        text-align: center;
    }
}

.product-container:hover .middle {
    opacity: 1;
}

.product-container:hover .hover-bg {
    opacity: 1;
}

.product-container:hover .drag-img {
    opacity: 1;
}

.overlay-box {
    z-index: 10;
}